summaryrefslogtreecommitdiffstats
path: root/src/vagrant/kubeadm_basic/examples/nginx-app.sh
diff options
context:
space:
mode:
authorGuo Ruijing <ruijing.guo@intel.com>2017-11-26 15:02:37 -0500
committerGuo Ruijing <ruijing.guo@intel.com>2017-11-29 14:28:08 -0500
commit85999db47c5f2292968c91184021bd220c7cd246 (patch)
tree46f74b6f63fae35ca2dbc5683bbe0d5560d1589e /src/vagrant/kubeadm_basic/examples/nginx-app.sh
parentcc076fe7ba6bdc7b5298ed7b19a15cad37af0307 (diff)
support vagrant/libvirt
1. add cleanup for libvirt 2. use libvirt for deployments 3. use yk0/ubuntu-xenial box 4. update sleep time to reduce log size Change-Id: Ie1f0acc6a496180c4d73ade5f724434400fef1f7 Signed-off-by: Guo Ruijing <ruijing.guo@intel.com>
Diffstat (limited to 'src/vagrant/kubeadm_basic/examples/nginx-app.sh')
-rwxr-xr-xsrc/vagrant/kubeadm_basic/examples/nginx-app.sh22
1 files changed, 20 insertions, 2 deletions
diff --git a/src/vagrant/kubeadm_basic/examples/nginx-app.sh b/src/vagrant/kubeadm_basic/examples/nginx-app.sh
index 07b9c22..ada4306 100755
--- a/src/vagrant/kubeadm_basic/examples/nginx-app.sh
+++ b/src/vagrant/kubeadm_basic/examples/nginx-app.sh
@@ -1,4 +1,21 @@
-#!/usr/bin/env bash
+#!/bin/bash
+#
+# Copyright (c) 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -ex
kubectl create -f /vagrant/examples/nginx-app.yaml
kubectl get nodes
@@ -10,10 +27,11 @@ r="0"
while [ $r -ne "2" ]
do
r=$(kubectl get pods | grep Running | wc -l)
- sleep 20
+ sleep 60
done
svcip=$(kubectl get services nginx -o json | grep clusterIP | cut -f4 -d'"')
+sleep 10
wget http://$svcip
kubectl delete rc --all
kubectl delete services --all